<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Activation' ) ) {

	class WCOT_Order_Tags_Activation {

		public function __construct() {

			register_activation_hook( plugin_dir_path( __DIR__ ) . 'wcot-order-tags.php', array( $this, 'install' ) );
			register_activation_hook( plugin_dir_path( __DIR__ ) . 'wcot-order-tags.php', array( $this, 'notice' ) );

		}

		public function install() {

			WCOT_Order_Tags_Upgrade::upgrade();

		}

		public function notice() {

			set_transient( 'wcot_order_tags_activation_notice', true, 172800 ); // 172800 = 2 days

		}

	}

}
